## python-blazarclient 3.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx>=1.8.0,!=2.1.0;python_version>='3.4' # BSD

## python-blazarclient 2.0.0

=== debian/changelog ===
python-blazarclient (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 22:25:36 +0200

python-blazarclient (2.0.0-1) experimental; urgency=medium

  * Initial release. (Closes: #907141)

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 11:18:44 +0200

=== debian/control ===
Source: python-blazarclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-cliff (>= 2.8.0),
 python3-coverage <!nocheck>,
 python3-fixtures <!nocheck>,
 python3-hacking,
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock <!nocheck>,
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0) <!nocheck>,
 python3-prettytable,
 python3-reno <!nodoc>,
 python3-six,
 python3-testtools (>= 2.2.0) <!nocheck>,
 testrepository <!nocheck>,
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-blazarclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-blazarclient.git
Homepage: https://github.com/openstack/python-blazarclient

Package: python3-blazarclient
Architecture: all
Depends:
 python3-babel,
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: client for OpenStack Reservation Service
 Blazar is a resource reservation service for OpenStack. Blazar enables users
 to reserve a specific type/amount of resources for a specific time period and
 it leases these resources to users based on their reservations.
 .
 The following two resource types are currently supported:
  * Compute host: reserve and lease with a unit of a whole host
  * Instance: reserve and lease with a unit of a flavor
 .
 This package contains the client Python module and cli tool.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-blazarclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/python-blazarclient/python-blazarclient-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-blazarclient 2.1.0

=== debian/changelog ===
python-blazarclient (2.1.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 15 Nov 2018 16:19:53 +0000

python-blazarclient (2.1.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Nov 2018 13:01:26 -0500

python-blazarclient (2.0.0-0ubuntu1) cosmic; urgency=low

  * Initial release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Aug 2018 08:55:35 -0400

=== debian/control ===
Source: python-blazarclient
Section: python
Priority: optional
Maintainer: Corey Bryant <corey.bryant@canonical.com>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-cliff (>= 2.8.0),
 python-coverage (>= 4.0),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.10.2),
 python-keystoneauth1 (>= 3.4.0),
 python-mock (>= 2.0.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.1),
 python-six (>= 1.10.0),
 python-testrepository (>= 0.0.18),
 python-testtools (>= 2.2.0),
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.10.2),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslotest (>= 1:3.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-reno (>= 2.5.0),
 python3-six (>= 1.10.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-blazarclient
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-blazarclient
Homepage: https://github.com/openstack/python-blazarclient
Testsuite: autopkgtest-pkg-python

Package: python-blazarclient
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-cliff (>= 2.8.0),
 python-keystoneauth1 (>= 3.4.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.1),
 python-six (>= 1.10.0),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Reservation Service API client - Python 2
 Blazar is a resource reservation service for OpenStack. Blazar enables users
 to reserve a specific type/amount of resources for a specific time period and
 it leases these resources to users based on their reservations.
 .
 This is a client library for the OpenStack Blazar API. It provides a Python
 API (the blazarclient module) and a command-line tool (blazar).
 .
 This package contains the Python 2 module.

Package: python3-blazarclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Reservation Service API client - Python 3
 Blazar is a resource reservation service for OpenStack. Blazar enables users
 to reserve a specific type/amount of resources for a specific time period and
 it leases these resources to users based on their reservations.
 .
 This is a client library for the OpenStack Blazar API. It provides a Python
 API (the blazarclient module) and a command-line tool (blazar).
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-blazarclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-blazarclient 2.2.1

=== debian/changelog ===
python-blazarclient (2.2.1-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 25 Sep 2019 23:30:39 +0000

python-blazarclient (2.2.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:31:04 -0400

python-blazarclient (2.1.0-0ubuntu2) eoan; urgency=medium

  * Drop Python 2 support:
    - d/control: Drop python-blazarclient binary package.
    - d/control: Drop BDI's on python-*.
    - d/*.postinst,prerm,postrm: Drop, alternatives management no
      longer needed.
    - d/rules: Update to skip install and test of Python 2 module.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Jul 2019 05:07:48 +0100

=== debian/control ===
Source: python-blazarclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Corey Bryant <corey.bryant@canonical.com>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.1.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-prettytable (>= 0.7.1),
 python3-reno (>= 2.5.0),
 python3-six (>= 1.10.0),
 python3-subunit,
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-blazarclient
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-blazarclient
Homepage: https://github.com/openstack/python-blazarclient
Testsuite: autopkgtest-pkg-python

Package: python3-blazarclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Reservation Service API client - Python 3
 Blazar is a resource reservation service for OpenStack. Blazar enables users
 to reserve a specific type/amount of resources for a specific time period and
 it leases these resources to users based on their reservations.
 .
 This is a client library for the OpenStack Blazar API. It provides a Python
 API (the blazarclient module) and a command-line tool (blazar).
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-blazarclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-blazarclient 3.0.0

=== debian/changelog ===
python-blazarclient (3.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Mar 2020 16:16:19 -0400

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,16 @@
  debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 1.8.0),
 Build-Depends-Indep:
  python3-cliff (>= 2.8.0),
  python3-coverage (>= 4.0),
  python3-fixtures (>= 3.0.0),
  python3-hacking (>= 1.1.0),
  python3-keystoneauth1 (>= 3.4.0),
- python3-mock (>= 2.0.0),
  python3-openstackdocstheme (>= 1.18.1),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-blazarclient

UPSTREAM_GIT := https://github.com/openstack/python-blazarclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-blazarclient 3.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
cliff!=2.9.0,>=2.8.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
six>=1.10.0 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0

=== debian/changelog ===
python-blazarclient (3.1.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 10:45:29 +0200

python-blazarclient (3.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 10:19:22 +0200

python-blazarclient (3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Blacklist test_args2body_start_now().

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Sep 2020 13:28:45 +0200

python-blazarclient (3.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:50:56 +0200

python-blazarclient (3.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Apr 2020 21:46:07 +0200

python-blazarclient (2.2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:08:17 +0200

python-blazarclient (2.2.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 12:20:16 +0200

python-blazarclient (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 04:36:45 +0200

python-blazarclient (2.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 11:25:48 +0100

=== debian/control ===
Source: python-blazarclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-cliff,
 python3-coverage <!nocheck>,
 python3-fixtures <!nocheck>,
 python3-hacking,
 python3-keystoneauth1,
 python3-mock (>= 3.0.0) <!nocheck>,
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslotest <!nocheck>,
 python3-prettytable,
 python3-reno <!nodoc>,
 python3-six,
 python3-testtools <!nocheck>,
 testrepository <!nocheck>,
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-blazarclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-blazarclient.git
Homepage: https://github.com/openstack/python-blazarclient

Package: python3-blazarclient
Architecture: all
Depends:
 python3-babel,
 python3-cliff,
 python3-keystoneauth1,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: client for OpenStack Reservation Service
 Blazar is a resource reservation service for OpenStack. Blazar enables users
 to reserve a specific type/amount of resources for a specific time period and
 it leases these resources to users based on their reservations.
 .
 The following two resource types are currently supported:
  * Compute host: reserve and lease with a unit of a whole host
  * Instance: reserve and lease with a unit of a flavor
 .
 This package contains the client Python module and cli tool.

## python-blazarclient 3.2.1

=== debian/changelog ===
python-blazarclient (3.2.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.
  * Removed (build-)depends python3-babel.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 28 Jul 2025 09:14:27 +0000

python-blazarclient (3.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 10:17:21 +0200

python-blazarclient (3.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed mock from (build-)depends (following upstream).

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Mar 2021 09:28:41 +0100

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,12 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python3-babel,
  python3-cliff,
  python3-coverage <!nocheck>,
  python3-fixtures <!nocheck>,
  python3-hacking,
  python3-keystoneauth1,
- python3-mock (>= 3.0.0) <!nocheck>,
+ python3-mock <!nocheck>,
  python3-openstackdocstheme <!nodoc>,
  python3-oslo.i18n,
  python3-oslo.log,
@@ -27,7 +26,6 @@
  python3-oslotest <!nocheck>,
  python3-prettytable,
  python3-reno <!nodoc>,
- python3-six,
  python3-testtools <!nocheck>,
  testrepository <!nocheck>,
 Standards-Version: 4.2.0
@@ -38,7 +36,6 @@
 Package: python3-blazarclient
 Architecture: all
 Depends:
- python3-babel,
  python3-cliff,
  python3-keystoneauth1,
  python3-oslo.i18n,
@@ -46,7 +43,6 @@
  python3-oslo.utils,
  python3-pbr,
  python3-prettytable,
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Description: client for OpenStack Reservation Service

## python-blazarclient 3.3.1

=== debian/changelog ===
python-blazarclient (3.3.1-1~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Fri, 03 Sep 2021 07:13:26 +0000

python-blazarclient (3.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Sep 2021 08:57:53 +0200

python-blazarclient (3.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-osc-lib to (build-)depends.
  * Switch to stestr.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Sep 2021 13:47:32 +0200

## python-blazarclient 3.4.0

=== requirements.txt ===
--- 
+++ 
@@ -3,10 +3,10 @@
 # process, which may cause wedges in the gate later.
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
-PrettyTable<0.8,>=0.7.1 # BSD
-six>=1.10.0 # MIT
+PrettyTable>=0.7.1 # BSD
 Babel!=2.4.0,>=2.3.4 # BSD
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 keystoneauth1>=3.4.0 # Apache-2.0
+osc-lib>=1.3.0 # Apache-2.0

=== debian/changelog ===
python-blazarclient (3.4.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Mar 2022 13:39:21 -0500

python-blazarclient (3.3.1-0ubuntu1) jammy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 16 Nov 2021 15:55:48 -0500

python-blazarclient (3.1.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 15:24:11 -0400

python-blazarclient (3.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 24 Jul 2020 08:31:21 +0000

python-blazarclient (3.0.1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Victoria.
  * d/control: Update debhelper.

  [ Corey Bryant ]
  * d/control, d/compat: Switch to debhelper compat 12.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 15 Jun 2020 14:44:10 -0400

=== debian/control ===
Source: python-blazarclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Corey Bryant <corey.bryant@canonical.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.1.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-osc-lib (>= 1.3.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-prettytable (>= 0.7.1),
 python3-reno (>= 2.5.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-subunit,
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-blazarclient
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-blazarclient
Homepage: https://github.com/openstack/python-blazarclient
Testsuite: autopkgtest-pkg-python

Package: python3-blazarclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-osc-lib (>= 1.3.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Reservation Service API client - Python 3
 Blazar is a resource reservation service for OpenStack. Blazar enables users
 to reserve a specific type/amount of resources for a specific time period and
 it leases these resources to users based on their reservations.
 .
 This is a client library for the OpenStack Blazar API. It provides a Python
 API (the blazarclient module) and a command-line tool (blazar).
 .
 This package contains the Python 3 module.

=== debian/watch ===
version=3
opts="uversionmangle=s/%7E/~/"
http://tarballs.openstack.org/python-blazarclient/ python-blazarclient-(\d.*).tar.gz

## python-blazarclient 3.4.1

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
 PrettyTable>=0.7.1 # BSD
-Babel!=2.4.0,>=2.3.4 # BSD
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0

=== debian/changelog ===
python-blazarclient (3.4.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 10:59:04 +0000

python-blazarclient (3.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 09:57:06 +0100

python-blazarclient (3.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Feb 2022 16:22:01 +0100

python-blazarclient (3.3.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:12:54 +0200

=== debian/control ===
Source: python-blazarclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-cliff,
 python3-coverage <!nocheck>,
 python3-fixtures <!nocheck>,
 python3-hacking,
 python3-keystoneauth1,
 python3-mock <!nocheck>,
 python3-openstackdocstheme <!nodoc>,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslotest <!nocheck>,
 python3-prettytable,
 python3-reno <!nodoc>,
 python3-testtools <!nocheck>,
 python3-stestr <!nocheck>,
 subunit <!nocheck>,
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-blazarclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-blazarclient.git
Homepage: https://github.com/openstack/python-blazarclient

Package: python3-blazarclient
Architecture: all
Depends:
 python3-babel,
 python3-cliff,
 python3-keystoneauth1,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 ${misc:Depends},
 ${python3:Depends},
Description: client for OpenStack Reservation Service
 Blazar is a resource reservation service for OpenStack. Blazar enables users
 to reserve a specific type/amount of resources for a specific time period and
 it leases these resources to users based on their reservations.
 .
 The following two resource types are currently supported:
  * Compute host: reserve and lease with a unit of a whole host
  * Instance: reserve and lease with a unit of a flavor
 .
 This package contains the client Python module and cli tool.

## python-blazarclient 3.5.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD

=== debian/changelog ===
python-blazarclient (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:06:15 +0200

python-blazarclient (3.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-babel from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Aug 2022 11:06:02 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python3-babel,
  python3-cliff,
  python3-coverage <!nocheck>,
  python3-fixtures <!nocheck>,
@@ -39,7 +38,6 @@
 Package: python3-blazarclient
 Architecture: all
 Depends:
- python3-babel,
  python3-cliff,
  python3-keystoneauth1,
  python3-osc-lib,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-blazarclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'blazarclient\.tests\.(?!.*v1\.shell_commands\.test_leases\.CreateLeaseTestCase\.test_args2body_start_now.*)'
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-blazarclient 3.6.0

=== debian/changelog ===
python-blazarclient (3.6.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 23 Feb 2023 14:44:51 +0000

python-blazarclient (3.6.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 13:07:53 -0500

python-blazarclient (3.5.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Sep 2022 16:46:01 -0400

## python-blazarclient 3.7.0

=== debian/changelog ===
python-blazarclient (3.7.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 05 Sep 2023 22:11:50 +0000

python-blazarclient (3.7.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 15:21:42 -0400

## python-blazarclient 4.0.0

=== debian/changelog ===
python-blazarclient (4.0.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Jan 2024 10:38:01 +0000

## python-blazarclient 4.0.1

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== debian/changelog ===
python-blazarclient (4.0.1-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 08 Mar 2024 11:37:58 +0000

python-blazarclient (4.0.1-0ubuntu1) noble; urgency=medium

  * New upstream point release for OpenStack Caracal.

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 09:56:05 +0000

## python-blazarclient 4.1.0

=== debian/changelog ===
python-blazarclient (4.1.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090468).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 11:45:12 +0100

python-blazarclient (4.1.0-3) unstable; urgency=medium

  * Add fix-syntax-warning.patch (Closes: #1085893).

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Nov 2024 16:53:45 +0100

python-blazarclient (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 00:16:35 +0200

python-blazarclient (4.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2024 13:47:16 +0200

python-blazarclient (4.0.1-3) unstable; urgency=medium

  * Drop extraneous python3-mock build dependency (Closes: #1069940).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Apr 2024 08:44:21 +0200

python-blazarclient (4.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 22:52:24 +0200

python-blazarclient (4.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 21:02:08 +0100

python-blazarclient (3.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 18:49:24 +0200

python-blazarclient (3.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Sep 2023 09:47:21 +0200

python-blazarclient (3.6.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048957).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 13:00:28 +0200

python-blazarclient (3.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 10:45:29 +0200

python-blazarclient (3.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 13:51:32 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
  python3-fixtures <!nocheck>,
  python3-hacking,
  python3-keystoneauth1,
- python3-mock <!nocheck>,
  python3-openstackdocstheme <!nodoc>,
  python3-osc-lib,
  python3-oslo.i18n,

## python-blazarclient 4.2.0

=== debian/changelog ===
python-blazarclient (4.2.0-1~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Mon, 03 Mar 2025 09:33:51 +0000

python-blazarclient (4.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed version of (build-)depends for oslo.utils.
  * Drop fix-syntax-warning.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 10:28:53 +0100

## python-blazarclient 4.3.0

=== debian/changelog ===
python-blazarclient (4.3.0-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 28 Mar 2025 09:47:18 +0000

python-blazarclient (4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:45:35 +0100

python-blazarclient (4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Mar 2025 15:40:53 +0100

## python-blazarclient 4.4.0

=== requirements.txt ===
--- 
+++ 
@@ -10,6 +10,6 @@
 PrettyTable>=0.7.1 # BSD
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
-oslo.utils>=3.33.0 # Apache-2.0
+oslo.utils>=7.0.0 # Apache-2.0
 keystoneauth1>=3.4.0 # Apache-2.0
 osc-lib>=1.3.0 # Apache-2.0

=== debian/changelog ===
python-blazarclient (4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 21:46:09 +0200

python-blazarclient (4.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Sep 2025 08:57:53 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-osc-lib,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.utils,
+ python3-oslo.utils (>= 7.0.0),
  python3-oslotest <!nocheck>,
  python3-prettytable,
  python3-reno <!nodoc>,
@@ -42,7 +42,7 @@
  python3-osc-lib,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.utils,
+ python3-oslo.utils (>= 7.0.0),
  python3-pbr,
  python3-prettytable,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,12 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
-	echo "Do nothing..."
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -20,9 +22,5 @@
 	pkgos-dh_auto_test --no-py2 'blazarclient\.tests\.(?!.*v1\.shell_commands\.test_leases\.CreateLeaseTestCase\.test_args2body_start_now.*)'
 endif
 
-override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
-	rm -rf build
-
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-blazarclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-blazarclient 4.5.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
cliff!=2.9.0,>=2.8.0 # Apache-2.0
PrettyTable>=0.7.1 # BSD
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=7.0.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
osc-lib>=1.3.0 # Apache-2.0

=== debian/changelog ===
python-blazarclient (4.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 11:45:52 +0100

python-blazarclient (4.4.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048957).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 11:24:55 +0100
